/* eslint-disable react-hooks/exhaustive-deps */
// ProtectedRoute.js
import { Outlet, useNavigate } from 'react-router-dom';
import React, { useEffect } from 'react';
import { useUserSelector } from '../store/user';

const ProtectedRoute = (): React.JSX.Element => {
  const user = useUserSelector();
  const navigate = useNavigate();

  useEffect(() => {
    if (user.id === null) {
      navigate('/login');
    }
  }, [user]);

  return <Outlet />;
};
export default ProtectedRoute;
