import api from '../api/api';
import { useUserStore } from '../store/user';
import { Auth } from '../types/auth';

export class AuthService {
  static async login(auth: Auth) {
    const token = await api.login(auth);
    console.log(token)
    localStorage.setItem('accessToken', token.accessToken);
  }

  static async logout() {
    useUserStore.getState().removeUser();
    localStorage.removeItem('userInfo');
    localStorage.removeItem('accessToken');
  }

  static async refresh() {
    const token = await api.refreshToken();
    localStorage.setItem('accessToken', token.accessToken);
  }
}
